Enable arbitrary access on oldwikisource & document the process
Closed, ResolvedPublic5 Story Points

Description

I would like to be able to use some modules using arbitrary access on oldwikisource (sourceswiki, https://wikisource.org/), but it is not enabled there yet.

Because of T54971, sitelinks to oldwikisource are not enabled yet, and probably won't be for some time. However, I believe it should be possible to enable it like what was done for the English Wiktionary in T159316.

Community consensus is there.

Acceptance critera:

jhsoby created this task.Aug 22 2018, 2:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2018, 2:27 PM

Change 454570 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Enable arbitrary Wikidata access for oldwikisource

https://gerrit.wikimedia.org/r/454570

Note that I'm not sure if there are any more changes needed to make this happen. I just copied the settings that were made in the patch for T159316. Maybe @Ladsgroup can shed some light on that.

Thank Jon for working on it but that is not correct. That config you are changing is already true for everything except wiktionaries (with enwiktionary being exempted). The right config is somewhere else. You need to make oldwikisource a client of wikidata which requires creating tables and lots of other actions otherwise the website will go completely down. I don't know why it hasn't happened yet but I probably can babysit the whole process but it requires PM approval before anything.

jhsoby removed jhsoby as the assignee of this task.Aug 22 2018, 10:19 PM

I'm fine with enabling arbitrary access for oldwikisource if this can be done independently from sitelinks. My understanding from a conversation with Daniel yesterday is that it should be fine. @Addshore any issues from your side?

We're interested in a similar approach for Incubator.

It is fine from the dev side.
We can do it when community consensus is there.

Addshore moved this task from To Evaluate to Watching on the wikidata-tech-focus board.
Lydia_Pintscher triaged this task as Normal priority.Sep 26 2018, 2:48 PM
Addshore updated the task description. (Show Details)Nov 6 2018, 2:37 PM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)Nov 6 2018, 2:41 PM
Addshore set the point value for this task to 5.

Change 472008 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add sourceswiki to wikidata clients

https://gerrit.wikimedia.org/r/472008

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 6 2018, 5:21 PM

Change 472008 merged by jenkins-bot:
[operations/mediawiki-config@master] Add sourceswiki to wikidata clients

https://gerrit.wikimedia.org/r/472008

Addshore reopened this task as Open.Nov 13 2018, 2:15 PM
Addshore updated the task description. (Show Details)

@Ladsgroup we are missing the link to the documentation step here, and we are about to pick up a task that is very similar.

Could you provide some docs?
Perhaps as a subpage of https://wikitech.wikimedia.org/wiki/WMDE/Wikidata ?

Addshore renamed this task from Enable arbitrary access on oldwikisource to Enable arbitrary access on oldwikisource & document the process.
Addshore updated the task description. (Show Details)
Addshore closed this task as Resolved.

docs linked above and this was verified on the wiki: :)

Change 454570 abandoned by Jon Harald Søby:
Enable arbitrary Wikidata access for oldwikisource

Reason:
Already fixed elsewhere.

https://gerrit.wikimedia.org/r/454570